cURL
curl --request DELETE \
--url https://staging-api.capa.fi/api/partner/v2/banks/receivers/{receiverId}/accounts/{userBankInfoId} \
--header 'partner-api-key: <api-key>'import requests
url = "https://staging-api.capa.fi/api/partner/v2/banks/receivers/{receiverId}/accounts/{userBankInfoId}"
headers = {"partner-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'partner-api-key': '<api-key>'}};
fetch('https://staging-api.capa.fi/api/partner/v2/banks/receivers/{receiverId}/accounts/{userBankInfoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bank Accounts
Delete Bank Account (Receiver)
DELETE
/
api
/
partner
/
v2
/
banks
/
receivers
/
{receiverId}
/
accounts
/
{userBankInfoId}
cURL
Deletes a bank account for a user by receiver ID. Resolves the user from the receiver, then performs a soft delete.
Error Codes
Common Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”API Key is missing” |
| 401 | UNAUTHORIZED | ”Invalid API Key format” |
| 401 | UNAUTHORIZED | ”Invalid API Key” |
| 403 | INVALID_PARTNER_FLOW | ”The partner has an invalid flow.” |
User Ownership Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”Partner information is required for this operation” |
| 401 | UNAUTHORIZED | ”User is not associated with the partner” |
Endpoint-Specific Errors
| HTTP Status | Code | Message |
|---|---|---|
| 400 | INVALID_USER_INPUT_ERROR | ”Invalid User Input” |
| 403 | USER_BANK_INFO_ACCESS_DENIED | ”The bank information does not belong to the specified user.” |
| 404 | RECEIVER_NOT_FOUND | ”Receiver not found.” |
| 404 | USER_BANK_INFO_NOT_FOUND | ”User bank information not found.” |
Authorizations
API key for the affiliated partner performing the request.
Path Parameters
The receiver ID
Example:
"8374f327-38bd-4b0b-b8a7-2524599eb903"
The user bank info ID to delete
Example:
"8374f327-38bd-4b0b-b8a7-2524599eb903"
Response
Deletes a bank account for a user by receiverId and userBankInfoId. First gets the user by receiver ID, then performs a soft delete.
⌘I